JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MPEZoneLayout::Listener Class Referenceabstract
juce_audio_basics » mpe

Listener class. More...

`#include <juce_MPEZoneLayout.h>`

## Public Member Functions
virtual | ~Listener ()=default
| Destructor.
virtual void | zoneLayoutChanged (const MPEZoneLayout &layout)=0
| Implement this callback to be notified about any changes to this MPEZoneLayout.

## Detailed Description

Listener class.

Derive from this class to allow your class to be notified about changes to the zone layout.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual MPEZoneLayout::Listener::~Listener | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ zoneLayoutChanged()

virtual void MPEZoneLayout::Listener::zoneLayoutChanged | ( | const MPEZoneLayout & | layout | ) |
| pure virtual

Implement this callback to be notified about any changes to this MPEZoneLayout.

Will be called whenever a zone is added, zones are removed, or any zone's master or note pitchbend ranges change.

The documentation for this class was generated from the following file:

- juce_MPEZoneLayout.h